package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.CalendarSubscription;

import java.util.List;

@ApiModel(value = "CalendarSubscriptionWrapper",
        description = "Information related to Calendar Subscription.")
public class CalendarSubscriptionWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "CalendarSubscription.", required = true)
    private CalendarSubscription operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public CalendarSubscription getOperation() {
        return operation;
    }

    public void setOperation(CalendarSubscription operation) {
        this.operation = operation;
    }
}
